close all;clear all
gr=groot;gr.ShowHiddenHandles='on';
fig=uifigure;
sub22(1)=uiaxes(fig);
sub22(2)=uiaxes(fig);
sub22(3)=uiaxes(fig);
sub22(4)=uiaxes(fig);
%set(sub22(1),'Units','normalized','Position',[0.1300 0.5838 0.3347 0.3412])
%set(sub22(2),'Units','normalized','Position',[0.5703 0.5838 0.3347 0.3412])
%set(sub22(3),'Units','normalized','Position',[0.1300 0.1100 0.3347 0.3412])
%set(sub22(4),'Units','normalized','Position',[0.5703 0.1100 0.3347 0.3412])

set(sub22(1),'Units','Pixel','Position',[73.8000 246.2116 187.4091 143.2884]);
set(sub22(2),'Units','Pixel','Position',[320.3909 246.2116 187.4091 143.2884]);
set(sub22(3),'Units','Pixel','Position',[73.8000 47.2000 187.4091 143.2884]);
set(sub22(4),'Units','Pixel','Position',[320.3909 47.2000 187.4091 143.2884]);

viewagl=[-37.5,30;0,90;90,0;0,0];
n=31; %armの個数
l=[zeros(2,n);ones(1,n)];
%回転軸の設定
for i=[05,06]
	arm(i).a=[1;0;0];
end
for i=[01,02,03,04,07,08,09,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30]
	arm(i).a=[0;1;0];
end
for i=[31]
	arm(i).a=[0;0;1];
end

arm(01).l=[20;-20;-20];%前足左1ok [x;y;z]?
arm(02).l=[10;-5;-20];%前足左2ok [x;z;y]?
arm(03).l=[-15;-5;-20];%前足左手1ok [z;-x;y]?
arm(04).l=[-10;-5;0];%前足左手2
arm(05).l=[0;0;0];%舌1ok
arm(06).l=[-20;0;0];%舌2
arm(07).l=[0;0;0];%原点ok
arm(08).l=[0;0;-10];%袋ok
arm(09).l=[20;20;-20];%前足右1ok
arm(10).l=[10;5;-20];%前足右2ok
arm(11).l=[-15;5;-20];%前足右手1ok
arm(12).l=[-10;5;0];%前足右手2
arm(13).l=[-10;-5;0];%後ろ足左手1
arm(14).l=[-20;-8;-10];%後ろ足左手2
arm(15).l=[25;3;-10];%後ろ足左3
arm(16).l=[-20;-10;-10];%後ろ足左2
arm(17).l=[0;-30;0];%後ろ足左1
arm(18).l=[-10;5;0];%後ろ足右手1
arm(19).l=[-20;8;-10];%後ろ足右手2
arm(20).l=[25;-3;-10];%後ろ足右3
arm(21).l=[-20;10;-10];%後ろ足右2
arm(22).l=[0;30;0];%後ろ足右1
arm(23).l=[35;0;-15];%胴体1
arm(24).l=[-20;0;20];%頭1
arm(25).l=[-10;0;-20];%頭2
arm(26).l=[10;0;-10];%顎
arm(27).l=[10;-10;0];%左頬
arm(28).l=[10;10;0];%右頬
arm(29).l=[30;0;-20];%胴体2
arm(30).l=[0;0;0];
arm(31).l=[0;0;0];
for i=1:n
	arm(i).l = arm(i).l / 100;
	arm(i).th=0;
	arm(i).lg=arm(i).l/2;
end

% define arm list structure
arm( 1).parent= 7;arm( 2).parent= 1;arm( 3).parent= 2;arm( 4).parent= 3;
arm( 5).parent= 6;arm( 6).parent= 7;arm( 7).parent= 31;arm( 8).parent= 7;
arm( 9).parent= 7;arm(10).parent= 9;arm(11).parent=10;arm(12).parent=11;
arm(13).parent= 14;arm(14).parent=15;arm(15).parent=16;arm(16).parent=17;
arm(17).parent=29;arm(18).parent= 19;arm(19).parent= 20;arm(20).parent= 21;
arm(21).parent= 22;arm(22).parent= 29;arm(23).parent= 7;arm(24).parent= 7;
arm(25).parent= 24;arm(26).parent= 25;arm(27).parent= 25;arm(28).parent= 25;
arm(29).parent= 23;arm(30).parent= 0;arm(31).parent= 30;

% 子リンクを接続し双方向リンクとする。
arm=vectest9makechildlink(arm);

ind=vectest9findallchildren(arm);
arm=vectest9kinematics(arm,ind);
plot1=[];
plot1=vectest9plot2021(arm,plot1,sub22);

%-------------------- ui --------------------%
fig2=uifigure;
ui=vectest9makeui2021(arm,'vectest9sub2021;',fig2); % uiの部分
for i=1:4
	axis(sub22(i),'equal');axis(sub22(i),[-3,1.5,-2,1,-1,3]);
	view(sub22(i),viewagl(i,:));grid(sub22(i),'on');
end

b1=uibutton(fig2,'Position',[300,350,100,50]);
b1.Text='びよーん';
b1.ButtonPushedFcn='motion1';

b2=uibutton(fig2,'Position',[300,300,100,50]);
b2.Text='べろん';
b2.ButtonPushedFcn='motion2';

b3=uibutton(fig2,'Position',[300,250,100,50]);
b3.Text='くるりん';
b3.ButtonPushedFcn='motion3';